function lbmap = get_lbmap_from_segroup( obj,seglbs_per_group )

lbmap = zeros(size(obj.m_sketchimg));
inds = find(obj.m_sketchimg);
for i=1:length(seglbs_per_group)
    seglbs = seglbs_per_group{i};
    idx = ismember(obj.m_seglbs_per_sketchpts,seglbs);
    lbmap(inds(idx)) = i;
end

end

